%define debug_package	%{nil}
%define api		3.0

Summary:	Mono bindings for the GUdev library
Name:		gudev-sharp
Version:	3.0.0
Release:	%mkrel 7
Source0:	https://github.com/mono/gudev-sharp/releases/download/3.0.0/%{name}-%{version}.tar.gz
License:	LGPLv2+
Group:		System/Libraries
Url:		https://github.com/mono/gudev-sharp
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(glib-sharp-3.0)
BuildRequires:	pkgconfig(gapi-3.0)

%description
This is a Mono binding for GUdev based on GTk#.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Development/Other

%description devel
This is a Mono binding for GUdev based on GTk#.

%prep
%setup -q 
sed -i "s#gmcs#mcs#g" configure.ac
./autogen.sh

%build
%configure2_5x 
%make

%install
%make_install

%files
%doc AUTHORS
%{_prefix}/lib/mono/%{name}-%{api}
%{_prefix}/lib/mono/gac/%{name}

%files devel
%{_libdir}/pkgconfig/%{name}-%{api}.pc


%changelog
* Thu Dec 03 2015 tv <tv> 3.0.0-7.mga6
+ Revision: 907873
- rebuild for mono4

* Sun Oct 18 2015 daviddavid <daviddavid> 3.0.0-6.mga6
+ Revision: 892597
- disable debug package to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 3.0.0-5.mga5
+ Revision: 739781
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.0-4.mga5
+ Revision: 680042
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.0.0-3.mga4
+ Revision: 541365
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 3.0.0-2.mga4
+ Revision: 495748
- the package is not a noarch package, as it introduces arch-dependent requires

* Sat Oct 12 2013 dams <dams> 3.0.0-1.mga4
+ Revision: 495738
- new version 3.0.0

* Sat Jan 12 2013 umeabot <umeabot> 0.1-3.mga3
+ Revision: 352949
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 24 2011 boklm <boklm> 0.1-2.mga1
+ Revision: 76152
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 0.1-1.mga1
+ Revision: 71981
- remove buildroot
- imported package gudev-sharp

